<?

 /******************************************************************************************
 * Filename: modules/pluginConfigs.php
 *
 * This file is part of the Sharer JAS plugin.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The Sharer JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/sharer/
 ******************************************************************************************/


 require_once($_path["include"]."fs.php");
 require_once($_path["include"]."module.php");
 require_once($_path["project"]["plugins"]."sharer/sharer.php");

 class Plugin_Module_sharer_pluginConfigs extends Module
 {
  function __construct(&$data)
  {
   global $_path;

   parent::__construct($data);

   if($this->data->module!="pluginConfigs")
    $this->extend("pluginConfigs");

   $this->data->title="Sharer plugin configuration";

   $this->data->addField("share", "multilist", "all", false, 1, 255, "", "Share");
   $this->data->listOptions("share", Plugin_sharer::shareOptions());
  }
 }
?>
